
package org.ow2.frascati.examples.helloworld.annotated;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ow2.frascati.examples.helloworld.annotated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Print_QNAME = new QName("http://annotated.helloworld.examples.frascati.ow2.org/", "print");
    private final static QName _PrintResponse_QNAME = new QName("http://annotated.helloworld.examples.frascati.ow2.org/", "printResponse");
    private final static QName _PrintArg0_QNAME = new QName("http://annotated.helloworld.examples.frascati.ow2.org/", "arg0");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ow2.frascati.examples.helloworld.annotated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Print }
     * 
     */
    public Print createPrint() {
        return new Print();
    }

    /**
     * Create an instance of {@link PrintResponse }
     * 
     */
    public PrintResponse createPrintResponse() {
        return new PrintResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Print }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://annotated.helloworld.examples.frascati.ow2.org/", name = "print")
    public JAXBElement<Print> createPrint(Print value) {
        return new JAXBElement<Print>(_Print_QNAME, Print.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PrintResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://annotated.helloworld.examples.frascati.ow2.org/", name = "printResponse")
    public JAXBElement<PrintResponse> createPrintResponse(PrintResponse value) {
        return new JAXBElement<PrintResponse>(_PrintResponse_QNAME, PrintResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://annotated.helloworld.examples.frascati.ow2.org/", name = "arg0", scope = Print.class)
    public JAXBElement<String> createPrintArg0(String value) {
        return new JAXBElement<String>(_PrintArg0_QNAME, String.class, Print.class, value);
    }

}
